Bug 1441093 (CVE-2017-7618) - CVE-2017-7618 kernel: Infinite recursion in ahash.c by triggering EBUSY on a full queue
Summary: CVE-2017-7618 kernel: Infinite recursion in ahash.c by triggering EBUSY on a ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-7618
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1441095 1443983
Blocks: 1441099
TreeView+ depends on / blocked
 
Reported: 2017-04-11 08:23 UTC by Andrej Nemec
Modified: 2019-09-29 14:09 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in crypto/ahash.c in the Linux kernel which allows attackers to cause a denial of service (API operation calling its own callback, and infinite recursion) by triggering EBUSY on a full queue.
Clone Of:
Environment:
Last Closed: 2017-04-24 12:04:22 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-04-11 08:23:28 UTC
crypto/ahash.c in the Linux kernel allows attackers to cause a denial of service (API operation calling its own callback, and infinite recursion) by triggering EBUSY on a full queue.

Initial discussion:

https://www.spinics.net/lists/linux-crypto/msg25101.html

http://marc.info/?t=149181406700001&r=1&w=2

http://marc.info/?t=149181666400002&r=1&w=2

Proposed patch:

http://marc.info/?l=linux-crypto-vger&m=149181655623850&w=2

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=ef0579b64e93188710d48667cb5e014926af9f1b

Comment 1 Andrej Nemec 2017-04-11 08:26:31 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1441095]

Comment 4 Vladis Dronov 2017-04-24 12:04:22 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2 as the code where the flaw was found is not present in these products.


Note You need to log in before you can comment on or make changes to this bug.